﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using Telerik.Windows.Controls;

namespace RadDockingMaximizeRestore
{
    public static class MaximizeExtensions
    {
        public static RadPaneGroup GetLastUsedGroup(DependencyObject obj)
        {
            return (RadPaneGroup)obj.GetValue(LastUsedGroupProperty);
        }

        public static void SetLastUsedGroup(DependencyObject obj, RadPaneGroup value)
        {
            obj.SetValue(LastUsedGroupProperty, value);
        }

        public static readonly DependencyProperty LastUsedGroupProperty =
            DependencyProperty.RegisterAttached("LastUsedGroup", typeof(RadPaneGroup), typeof(MaximizeExtensions), new PropertyMetadata(null));
    }
}
